## spiped 1.3.1

=== Makefile ===
.POSIX:

PROGS=		spiped spipe
BINDIR_DEFAULT=	/usr/local/bin
CFLAGS_DEFAULT=	-O2

all:
	if [ -z "${CFLAGS}" ]; then			\
		CFLAGS=${CFLAGS_DEFAULT};		\
	else						\
		CFLAGS="${CFLAGS}";			\
	fi;						\
	LDADD_POSIX=`export CC=${CC}; cd POSIX && command -p sh posix-l.sh`;	\
	for D in ${PROGS}; do					\
		( cd $${D} && 					\
		    make CFLAGS="$${CFLAGS}"			\
			LDADD_POSIX="$${LDADD_POSIX}" all ) ||	\
		    exit 2;					\
	done

install: all
	if [ -z "${BINDIR}" ]; then			\
		BINDIR=${BINDIR_DEFAULT};		\
	else						\
		BINDIR="${BINDIR}";			\
	fi;						\
	for D in ${PROGS}; do				\
		( cd $${D} && make BINDIR="$${BINDIR}" install ) || exit 2;	\
	done

clean:
	for D in ${PROGS}; do				\
		( cd $${D} && make clean ) || exit 2;	\
	done

=== spipe/Makefile ===
.POSIX:
PROG=spipe
MAN1=spipe.1
SRCS=main.c pushbits.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c asprintf.c entropy.c monoclock.c noeintr.c sock.c warnp.c events_immediate.c events_network.c events_timer.c events.c network_buf.c network_connect.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c
IDIRS=-I ../proto -I ../lib/alg -I ../lib/datastruct -I ../lib/util -I ../lib/events -I ../lib/network -I ../lib/crypto
LDADD_REQ=-lcrypto -lpthread

all:	${PROG}

install:${PROG}
	mkdir -p ${BINDIR}
	cp ${PROG} ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    strip ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    chmod 0555 ${BINDIR}/_inst.${PROG}.$$$$_ && \
	    mv -f ${BINDIR}/_inst.${PROG}.$$$$_ ${BINDIR}/${PROG}
	if ! [ -z "${MAN1DIR}" ]; then			\
		for MPAGE in ${MAN1}; do						\
			cp $$MPAGE ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&			\
			    chmod 0444 ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&		\
			    mv -f ${MAN1DIR}/_inst.$$MPAGE.$$$$_ ${MAN1DIR}/$$MPAGE;	\
		done;									\
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c main.c -o main.o
pushbits.o: pushbits.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c pushbits.c -o pushbits.o
proto_conn.o: ../proto/proto_conn.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../proto/proto_conn.c -o proto_conn.o
proto_crypt.o: ../proto/proto_crypt.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../proto/proto_crypt.c -o proto_crypt.o
proto_handshake.o: ../proto/proto_handshake.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../proto/proto_handshake.c -o proto_handshake.o
proto_pipe.o: ../proto/proto_pipe.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../proto/proto_pipe.c -o proto_pipe.o
sha256.o: ../lib/alg/sha256.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/alg/sha256.c -o sha256.o
elasticarray.o: ../lib/datastruct/elasticarray.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/datastruct/elasticarray.c -o elasticarray.o
ptrheap.o: ../lib/datastruct/ptrheap.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/datastruct/ptrheap.c -o ptrheap.o
timerqueue.o: ../lib/datastruct/timerqueue.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/datastruct/timerqueue.c -o timerqueue.o
asprintf.o: ../lib/util/asprintf.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/asprintf.c -o asprintf.o
entropy.o: ../lib/util/entropy.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/entropy.c -o entropy.o
monoclock.o: ../lib/util/monoclock.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/monoclock.c -o monoclock.o
noeintr.o: ../lib/util/noeintr.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/noeintr.c -o noeintr.o
sock.o: ../lib/util/sock.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/sock.c -o sock.o
warnp.o: ../lib/util/warnp.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/warnp.c -o warnp.o
events_immediate.o: ../lib/events/events_immediate.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/events/events_immediate.c -o events_immediate.o
events_network.o: ../lib/events/events_network.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/events/events_network.c -o events_network.o
events_timer.o: ../lib/events/events_timer.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/events/events_timer.c -o events_timer.o
events.o: ../lib/events/events.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/events/events.c -o events.o
network_buf.o: ../lib/network/network_buf.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/network/network_buf.c -o network_buf.o
network_connect.o: ../lib/network/network_connect.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/network/network_connect.c -o network_connect.o
crypto_aesctr.o: ../lib/crypto/crypto_aesctr.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_aesctr.c -o crypto_aesctr.o
crypto_dh.o: ../lib/crypto/crypto_dh.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_dh.c -o crypto_dh.o
crypto_dh_group14.o: ../lib/crypto/crypto_dh_group14.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_dh_group14.c -o crypto_dh_group14.o
crypto_entropy.o: ../lib/crypto/crypto_entropy.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_entropy.c -o crypto_entropy.o
crypto_verify_bytes.o: ../lib/crypto/crypto_verify_bytes.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_verify_bytes.c -o crypto_verify_bytes.o

=== spiped/Makefile ===
.POSIX:
PROG=spiped
MAN1=spiped.1
SRCS=main.c dispatch.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c dnsthread.c asprintf.c daemonize.c entropy.c monoclock.c noeintr.c sock.c sock_util.c warnp.c events_immediate.c events_network.c events_timer.c events.c network_accept.c network_buf.c network_connect.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c
IDIRS=-I ../proto -I ../lib/alg -I ../lib/datastruct -I ../lib/dnsthread -I ../lib/util -I ../lib/events -I ../lib/network -I ../lib/crypto
LDADD_REQ=-lcrypto -lpthread

all:	${PROG}

install:${PROG}
	mkdir -p ${BINDIR}
	cp ${PROG} ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    strip ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    chmod 0555 ${BINDIR}/_inst.${PROG}.$$$$_ && \
	    mv -f ${BINDIR}/_inst.${PROG}.$$$$_ ${BINDIR}/${PROG}
	if ! [ -z "${MAN1DIR}" ]; then			\
		for MPAGE in ${MAN1}; do						\
			cp $$MPAGE ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&			\
			    chmod 0444 ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&		\
			    mv -f ${MAN1DIR}/_inst.$$MPAGE.$$$$_ ${MAN1DIR}/$$MPAGE;	\
		done;									\
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c main.c -o main.o
dispatch.o: dispatch.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c dispatch.c -o dispatch.o
proto_conn.o: ../proto/proto_conn.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../proto/proto_conn.c -o proto_conn.o
proto_crypt.o: ../proto/proto_crypt.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../proto/proto_crypt.c -o proto_crypt.o
proto_handshake.o: ../proto/proto_handshake.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../proto/proto_handshake.c -o proto_handshake.o
proto_pipe.o: ../proto/proto_pipe.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../proto/proto_pipe.c -o proto_pipe.o
sha256.o: ../lib/alg/sha256.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/alg/sha256.c -o sha256.o
elasticarray.o: ../lib/datastruct/elasticarray.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/datastruct/elasticarray.c -o elasticarray.o
ptrheap.o: ../lib/datastruct/ptrheap.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/datastruct/ptrheap.c -o ptrheap.o
timerqueue.o: ../lib/datastruct/timerqueue.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/datastruct/timerqueue.c -o timerqueue.o
dnsthread.o: ../lib/dnsthread/dnsthread.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/dnsthread/dnsthread.c -o dnsthread.o
asprintf.o: ../lib/util/asprintf.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/asprintf.c -o asprintf.o
daemonize.o: ../lib/util/daemonize.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/daemonize.c -o daemonize.o
entropy.o: ../lib/util/entropy.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/entropy.c -o entropy.o
monoclock.o: ../lib/util/monoclock.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/monoclock.c -o monoclock.o
noeintr.o: ../lib/util/noeintr.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/noeintr.c -o noeintr.o
sock.o: ../lib/util/sock.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/sock.c -o sock.o
sock_util.o: ../lib/util/sock_util.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/sock_util.c -o sock_util.o
warnp.o: ../lib/util/warnp.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/util/warnp.c -o warnp.o
events_immediate.o: ../lib/events/events_immediate.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/events/events_immediate.c -o events_immediate.o
events_network.o: ../lib/events/events_network.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/events/events_network.c -o events_network.o
events_timer.o: ../lib/events/events_timer.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/events/events_timer.c -o events_timer.o
events.o: ../lib/events/events.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/events/events.c -o events.o
network_accept.o: ../lib/network/network_accept.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/network/network_accept.c -o network_accept.o
network_buf.o: ../lib/network/network_buf.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/network/network_buf.c -o network_buf.o
network_connect.o: ../lib/network/network_connect.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/network/network_connect.c -o network_connect.o
crypto_aesctr.o: ../lib/crypto/crypto_aesctr.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_aesctr.c -o crypto_aesctr.o
crypto_dh.o: ../lib/crypto/crypto_dh.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_dh.c -o crypto_dh.o
crypto_dh_group14.o: ../lib/crypto/crypto_dh_group14.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_dh_group14.c -o crypto_dh_group14.o
crypto_entropy.o: ../lib/crypto/crypto_entropy.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_entropy.c -o crypto_entropy.o
crypto_verify_bytes.o: ../lib/crypto/crypto_verify_bytes.c
	${CC} ${CFLAGS} -D_POSIX_C_SOURCE=200809L ${IDIRS} -c ../lib/crypto/crypto_verify_bytes.c -o crypto_verify_bytes.o

=== debian/changelog ===
spiped (1.3.1-1) unstable; urgency=low

  * Initial release.  Closes: #693310

 -- Peter Pentchev <roam@ringlet.net>  Wed, 13 Nov 2013 11:37:10 +0200

=== debian/control ===
Source: spiped
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>= 9), libssl-dev
Standards-Version: 3.9.5
Homepage: http://www.tarsnap.com/spiped.html
Vcs-Git: git://gitorious.org/spiped/spiped.git -b debian
Vcs-Browser: http://gitorious.org/spiped/spiped

Package: spiped
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: create secure pipes between socket addresses
 spiped (pronounced "ess-pipe-dee") is a utility for creating symmetrically
 encrypted and authenticated pipes between socket addresses, so that one may
 connect to one address (e.g., a UNIX socket on localhost) and transparently
 have a connection established to another address (e.g., a UNIX socket on a
 different system).  This is similar to 'ssh -L' functionality, but does not
 use SSH and requires a pre-shared symmetric key.
 .
 spipe (pronounced "ess-pipe") is a utility which acts as an spiped protocol
 client (i.e., connects to an spiped daemon), taking input from the standard
 input and writing data read back to the standard output.

=== debian/rules ===
#!/usr/bin/make -f
# Debhelper rules file for spiped, the secure pipe daemon.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all

# Enable large file support, not that it really matters
DEB_CPPFLAGS_MAINT_APPEND=	-D_FILE_OFFSET_BITS=64

DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -std=c99 -pedantic -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	DEP_CFLAGS_MAINT_APPEND+=	-Werror
endif

export DEB_BUILD_MAINT_OPTIONS DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install -- BINDIR=/usr/bin MAN1DIR=/usr/share/man/man1

=== debian/watch ===
version=3
http://www.tarsnap.com/spiped/ spiped-([\d.]*)\.tgz

## spiped 1.4.0

=== Makefile ===
.POSIX:

PROGS=		spiped spipe
BINDIR_DEFAULT=	/usr/local/bin
CFLAGS_DEFAULT=	-O2

all:
	export CFLAGS="$${CFLAGS:-${CFLAGS_DEFAULT}}";	\
	export LDADD_POSIX=`export CC="${CC}"; cd POSIX && command -p sh posix-l.sh`;	\
	export CFLAGS_POSIX=`export CC="${CC}"; cd POSIX && command -p sh posix-cflags.sh`;	\
	( export CC="${CC}"; cd libcperciva/cpusupport/Build && command -p sh cpusupport.sh ) > cpusupport-config.h;	\
	. ./cpusupport-config.h;			\
	for D in ${PROGS}; do				\
		( cd $${D} && make all ) || exit 2;	\
	done

install: all
	export BINDIR=$${BINDIR:-${BINDIR_DEFAULT}};	\
	for D in ${PROGS}; do				\
		( cd $${D} && make install ) || exit 2;	\
	done

clean:
	rm -f cpusupport-config.h
	for D in ${PROGS}; do				\
		( cd $${D} && make clean ) || exit 2;	\
	done

=== spipe/Makefile ===
.POSIX:
PROG=spipe
MAN1=spipe.1
SRCS=main.c pushbits.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c asprintf.c entropy.c monoclock.c noeintr.c sock.c warnp.c cpusupport_x86_aesni.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_connect.c network_read.c network_write.c crypto_aes.c crypto_aes_aesni.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c 
IDIRS=-I ../proto -I ../libcperciva/alg -I ../libcperciva/datastruct -I ../libcperciva/util -I ../libcperciva/cpusupport -I ../libcperciva/events -I ../libcperciva/network -I ../libcperciva/crypto
LDADD_REQ=-lcrypto -lpthread

all:	${PROG}

install:${PROG}
	mkdir -p ${BINDIR}
	cp ${PROG} ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    strip ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    chmod 0555 ${BINDIR}/_inst.${PROG}.$$$$_ && \
	    mv -f ${BINDIR}/_inst.${PROG}.$$$$_ ${BINDIR}/${PROG}
	if ! [ -z "${MAN1DIR}" ]; then			\
		for MPAGE in ${MAN1}; do						\
			cp $$MPAGE ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&			\
			    chmod 0444 ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&		\
			    mv -f ${MAN1DIR}/_inst.$$MPAGE.$$$$_ ${MAN1DIR}/$$MPAGE;	\
		done;									\
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c main.c -o main.o
pushbits.o: pushbits.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c pushbits.c -o pushbits.o
proto_conn.o: ../proto/proto_conn.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../proto/proto_conn.c -o proto_conn.o
proto_crypt.o: ../proto/proto_crypt.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../proto/proto_crypt.c -o proto_crypt.o
proto_handshake.o: ../proto/proto_handshake.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../proto/proto_handshake.c -o proto_handshake.o
proto_pipe.o: ../proto/proto_pipe.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../proto/proto_pipe.c -o proto_pipe.o
sha256.o: ../libcperciva/alg/sha256.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/alg/sha256.c -o sha256.o
elasticarray.o: ../libcperciva/datastruct/elasticarray.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/datastruct/elasticarray.c -o elasticarray.o
ptrheap.o: ../libcperciva/datastruct/ptrheap.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/datastruct/ptrheap.c -o ptrheap.o
timerqueue.o: ../libcperciva/datastruct/timerqueue.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/datastruct/timerqueue.c -o timerqueue.o
asprintf.o: ../libcperciva/util/asprintf.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/asprintf.c -o asprintf.o
entropy.o: ../libcperciva/util/entropy.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/entropy.c -o entropy.o
monoclock.o: ../libcperciva/util/monoclock.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/monoclock.c -o monoclock.o
noeintr.o: ../libcperciva/util/noeintr.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/noeintr.c -o noeintr.o
sock.o: ../libcperciva/util/sock.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/sock.c -o sock.o
warnp.o: ../libcperciva/util/warnp.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/warnp.c -o warnp.o
cpusupport_x86_aesni.o: ../libcperciva/cpusupport/cpusupport_x86_aesni.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/cpusupport/cpusupport_x86_aesni.c -o cpusupport_x86_aesni.o
events_immediate.o: ../libcperciva/events/events_immediate.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events_immediate.c -o events_immediate.o
events_network.o: ../libcperciva/events/events_network.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events_network.c -o events_network.o
events_network_selectstats.o: ../libcperciva/events/events_network_selectstats.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events_network_selectstats.c -o events_network_selectstats.o
events_timer.o: ../libcperciva/events/events_timer.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events_timer.c -o events_timer.o
events.o: ../libcperciva/events/events.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events.c -o events.o
network_connect.o: ../libcperciva/network/network_connect.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/network/network_connect.c -o network_connect.o
network_read.o: ../libcperciva/network/network_read.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/network/network_read.c -o network_read.o
network_write.o: ../libcperciva/network/network_write.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/network/network_write.c -o network_write.o
crypto_aes.o: ../libcperciva/crypto/crypto_aes.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_aes.c -o crypto_aes.o
crypto_aes_aesni.o: ../libcperciva/crypto/crypto_aes_aesni.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_X86_AESNI} -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_aes_aesni.c -o crypto_aes_aesni.o
crypto_aesctr.o: ../libcperciva/crypto/crypto_aesctr.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_aesctr.c -o crypto_aesctr.o
crypto_dh.o: ../libcperciva/crypto/crypto_dh.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_dh.c -o crypto_dh.o
crypto_dh_group14.o: ../libcperciva/crypto/crypto_dh_group14.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_dh_group14.c -o crypto_dh_group14.o
crypto_entropy.o: ../libcperciva/crypto/crypto_entropy.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_entropy.c -o crypto_entropy.o
crypto_verify_bytes.o: ../libcperciva/crypto/crypto_verify_bytes.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_verify_bytes.c -o crypto_verify_bytes.o

=== spiped/Makefile ===
.POSIX:
PROG=spiped
MAN1=spiped.1
SRCS=main.c dispatch.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c dnsthread.c asprintf.c daemonize.c entropy.c monoclock.c noeintr.c sock.c sock_util.c warnp.c cpusupport_x86_aesni.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_accept.c network_connect.c network_read.c network_write.c crypto_aes.c crypto_aes_aesni.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c 
IDIRS=-I ../proto -I ../libcperciva/alg -I ../libcperciva/datastruct -I ../lib/dnsthread -I ../libcperciva/util -I ../libcperciva/cpusupport -I ../libcperciva/events -I ../libcperciva/network -I ../libcperciva/crypto
LDADD_REQ=-lcrypto -lpthread

all:	${PROG}

install:${PROG}
	mkdir -p ${BINDIR}
	cp ${PROG} ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    strip ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    chmod 0555 ${BINDIR}/_inst.${PROG}.$$$$_ && \
	    mv -f ${BINDIR}/_inst.${PROG}.$$$$_ ${BINDIR}/${PROG}
	if ! [ -z "${MAN1DIR}" ]; then			\
		for MPAGE in ${MAN1}; do						\
			cp $$MPAGE ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&			\
			    chmod 0444 ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&		\
			    mv -f ${MAN1DIR}/_inst.$$MPAGE.$$$$_ ${MAN1DIR}/$$MPAGE;	\
		done;									\
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c main.c -o main.o
dispatch.o: dispatch.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c dispatch.c -o dispatch.o
proto_conn.o: ../proto/proto_conn.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../proto/proto_conn.c -o proto_conn.o
proto_crypt.o: ../proto/proto_crypt.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../proto/proto_crypt.c -o proto_crypt.o
proto_handshake.o: ../proto/proto_handshake.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../proto/proto_handshake.c -o proto_handshake.o
proto_pipe.o: ../proto/proto_pipe.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../proto/proto_pipe.c -o proto_pipe.o
sha256.o: ../libcperciva/alg/sha256.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/alg/sha256.c -o sha256.o
elasticarray.o: ../libcperciva/datastruct/elasticarray.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/datastruct/elasticarray.c -o elasticarray.o
ptrheap.o: ../libcperciva/datastruct/ptrheap.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/datastruct/ptrheap.c -o ptrheap.o
timerqueue.o: ../libcperciva/datastruct/timerqueue.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/datastruct/timerqueue.c -o timerqueue.o
dnsthread.o: ../lib/dnsthread/dnsthread.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../lib/dnsthread/dnsthread.c -o dnsthread.o
asprintf.o: ../libcperciva/util/asprintf.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/asprintf.c -o asprintf.o
daemonize.o: ../libcperciva/util/daemonize.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/daemonize.c -o daemonize.o
entropy.o: ../libcperciva/util/entropy.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/entropy.c -o entropy.o
monoclock.o: ../libcperciva/util/monoclock.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/monoclock.c -o monoclock.o
noeintr.o: ../libcperciva/util/noeintr.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/noeintr.c -o noeintr.o
sock.o: ../libcperciva/util/sock.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/sock.c -o sock.o
sock_util.o: ../libcperciva/util/sock_util.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/sock_util.c -o sock_util.o
warnp.o: ../libcperciva/util/warnp.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/warnp.c -o warnp.o
cpusupport_x86_aesni.o: ../libcperciva/cpusupport/cpusupport_x86_aesni.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/cpusupport/cpusupport_x86_aesni.c -o cpusupport_x86_aesni.o
events_immediate.o: ../libcperciva/events/events_immediate.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events_immediate.c -o events_immediate.o
events_network.o: ../libcperciva/events/events_network.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events_network.c -o events_network.o
events_network_selectstats.o: ../libcperciva/events/events_network_selectstats.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events_network_selectstats.c -o events_network_selectstats.o
events_timer.o: ../libcperciva/events/events_timer.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events_timer.c -o events_timer.o
events.o: ../libcperciva/events/events.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/events/events.c -o events.o
network_accept.o: ../libcperciva/network/network_accept.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/network/network_accept.c -o network_accept.o
network_connect.o: ../libcperciva/network/network_connect.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/network/network_connect.c -o network_connect.o
network_read.o: ../libcperciva/network/network_read.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/network/network_read.c -o network_read.o
network_write.o: ../libcperciva/network/network_write.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/network/network_write.c -o network_write.o
crypto_aes.o: ../libcperciva/crypto/crypto_aes.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_aes.c -o crypto_aes.o
crypto_aes_aesni.o: ../libcperciva/crypto/crypto_aes_aesni.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_X86_AESNI} -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_aes_aesni.c -o crypto_aes_aesni.o
crypto_aesctr.o: ../libcperciva/crypto/crypto_aesctr.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_aesctr.c -o crypto_aesctr.o
crypto_dh.o: ../libcperciva/crypto/crypto_dh.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_dh.c -o crypto_dh.o
crypto_dh_group14.o: ../libcperciva/crypto/crypto_dh_group14.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_dh_group14.c -o crypto_dh_group14.o
crypto_entropy.o: ../libcperciva/crypto/crypto_entropy.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_entropy.c -o crypto_entropy.o
crypto_verify_bytes.o: ../libcperciva/crypto/crypto_verify_bytes.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/crypto/crypto_verify_bytes.c -o crypto_verify_bytes.o

=== debian/changelog ===
spiped (1.4.0-1) unstable; urgency=medium

  * Fix a minor debian/rules typo: actually add -Werror to the compiler
    flags if requested using "werror" in DEB_BUILD_OPTIONS.
  * Update the program version information in the manual pages.
    Closes: #744125
  * Bump the year of my copyright notice.
  * New upstream version:
    - update the 02-honor-compiler-flags and the 06-manpage-version patches
    - add the 07-manpage-dashes patch to escape dashes in the description
      of the newly-added -g command-line option
    - update the upstream copyright years

 -- Peter Pentchev <roam@ringlet.net>  Tue, 02 Sep 2014 23:38:05 +0300

## spiped 1.4.1

=== Makefile ===
--- 
+++ 
@@ -11,17 +11,17 @@
 	( export CC="${CC}"; cd libcperciva/cpusupport/Build && command -p sh cpusupport.sh ) > cpusupport-config.h;	\
 	. ./cpusupport-config.h;			\
 	for D in ${PROGS}; do				\
-		( cd $${D} && make all ) || exit 2;	\
+		( cd $${D} && ${MAKE} all ) || exit 2;	\
 	done
 
 install: all
 	export BINDIR=$${BINDIR:-${BINDIR_DEFAULT}};	\
 	for D in ${PROGS}; do				\
-		( cd $${D} && make install ) || exit 2;	\
+		( cd $${D} && ${MAKE} install ) || exit 2;	\
 	done
 
 clean:
 	rm -f cpusupport-config.h
 	for D in ${PROGS}; do				\
-		( cd $${D} && make clean ) || exit 2;	\
+		( cd $${D} && ${MAKE} clean ) || exit 2;	\
 	done

=== spipe/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 PROG=spipe
 MAN1=spipe.1
-SRCS=main.c pushbits.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c asprintf.c entropy.c monoclock.c noeintr.c sock.c warnp.c cpusupport_x86_aesni.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_connect.c network_read.c network_write.c crypto_aes.c crypto_aes_aesni.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c 
+SRCS=main.c pushbits.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c asprintf.c entropy.c insecure_memzero.c monoclock.c noeintr.c sock.c warnp.c cpusupport_x86_aesni.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_connect.c network_read.c network_write.c crypto_aes.c crypto_aes_aesni.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c 
 IDIRS=-I ../proto -I ../libcperciva/alg -I ../libcperciva/datastruct -I ../libcperciva/util -I ../libcperciva/cpusupport -I ../libcperciva/events -I ../libcperciva/network -I ../libcperciva/crypto
 LDADD_REQ=-lcrypto -lpthread
 
@@ -51,6 +51,8 @@
 	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/asprintf.c -o asprintf.o
 entropy.o: ../libcperciva/util/entropy.c
 	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/entropy.c -o entropy.o
+insecure_memzero.o: ../libcperciva/util/insecure_memzero.c
+	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/insecure_memzero.c -o insecure_memzero.o
 monoclock.o: ../libcperciva/util/monoclock.c
 	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/monoclock.c -o monoclock.o
 noeintr.o: ../libcperciva/util/noeintr.c

=== spiped/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 PROG=spiped
 MAN1=spiped.1
-SRCS=main.c dispatch.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c dnsthread.c asprintf.c daemonize.c entropy.c monoclock.c noeintr.c sock.c sock_util.c warnp.c cpusupport_x86_aesni.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_accept.c network_connect.c network_read.c network_write.c crypto_aes.c crypto_aes_aesni.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c 
+SRCS=main.c dispatch.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c dnsthread.c asprintf.c daemonize.c entropy.c insecure_memzero.c monoclock.c noeintr.c sock.c sock_util.c warnp.c cpusupport_x86_aesni.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_accept.c network_connect.c network_read.c network_write.c crypto_aes.c crypto_aes_aesni.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c 
 IDIRS=-I ../proto -I ../libcperciva/alg -I ../libcperciva/datastruct -I ../lib/dnsthread -I ../libcperciva/util -I ../libcperciva/cpusupport -I ../libcperciva/events -I ../libcperciva/network -I ../libcperciva/crypto
 LDADD_REQ=-lcrypto -lpthread
 
@@ -55,6 +55,8 @@
 	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/daemonize.c -o daemonize.o
 entropy.o: ../libcperciva/util/entropy.c
 	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/entropy.c -o entropy.o
+insecure_memzero.o: ../libcperciva/util/insecure_memzero.c
+	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/insecure_memzero.c -o insecure_memzero.o
 monoclock.o: ../libcperciva/util/monoclock.c
 	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I .. ${IDIRS} -c ../libcperciva/util/monoclock.c -o monoclock.o
 noeintr.o: ../libcperciva/util/noeintr.c

=== debian/changelog ===
spiped (1.4.1-1) unstable; urgency=medium

  * New upstream version:
    - update the 02-honor compiler-flags and 06-manpage-version patches

 -- Peter Pentchev <roam@ringlet.net>  Sun, 14 Sep 2014 14:58:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
 		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
 ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
-	DEP_CFLAGS_MAINT_APPEND+=	-Werror
+DEB_CFLAGS_MAINT_APPEND+=	-Werror
 endif
 
 export DEB_BUILD_MAINT_OPTIONS DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND

## spiped 1.5.0

=== debian/changelog ===
spiped (1.5.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Point the Vcs-* fields to the GitLab repository.
  * Update the watch file to version 4 and explicitly specify pgpmode=none.
  * Add --parallel to the dh invocation.
  * Rename the BSD-2 license to BSD-2-clause in the copyright file and bump
    the year on my debian/* copyright notice.
  * Ask getconf(1) for the compiler and linker flags for Large File Support.
  * Add an autopkgtest suite.
  * Add an upstream metadata file.
  * New upstream version:
    - drop the 07-manpage-dashes patch, integrated upstream
    - refresh the 06-manpage-version patch
  * Add the 08-pthread-join patch to make sure spipe does all the I/O that
    it needs to do before it exits.
  * Add the 09-typos patch to fix a couple of typos.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 15 Apr 2016 14:39:20 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Build-Depends: debhelper (>= 9), libssl-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.tarsnap.com/spiped.html
-Vcs-Git: git://gitorious.org/spiped/spiped.git -b debian
-Vcs-Browser: http://gitorious.org/spiped/spiped
+Vcs-Git: https://gitlab.com/spiped/spiped.git -b debian
+Vcs-Browser: https://gitlab.com/spiped/spiped
+Testsuite: autopkgtest
 
 Package: spiped
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Debhelper rules file for spiped, the secure pipe daemon.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all

DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -std=c99 -pedantic -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND+=	-Werror
endif

# Enable large file support, not that it really matters
LFS_CPPFLAGS:=	$(shell getconf LFS_CFLAGS 2>/dev/null || echo "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
LFS_LDFLAGS:=	$(shell getconf LFS_LDFLAGS 2>/dev/null || true)

DEB_CPPFLAGS_MAINT_APPEND+=	${LFS_CPPFLAGS}
DEB_LDFLAGS_MAINT_APPEND+=	${LFS_LDFLAGS}

export DEB_BUILD_MAINT_OPTIONS DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -O--parallel -- BINDIR=/usr/bin MAN1DIR=/usr/share/man/man1

=== debian/watch ===
version=4
opts='pgpmode=none' \
http://www.tarsnap.com/spiped/ spiped-([\d.]*)\.tgz
